/* $Id: RequestMessage.java,v 1.2 2007/11/13 06:58:25 nito Exp $
 *
 * Copyright (c)ARGO 21, Corporation. 2005, 2006.  All rights reserved.
 * 
 * This file is part of Nautica Workflow Core.
 * 
 *  Nautica Workflow Core is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow Core is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Nautica Workflow Core; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
 */
package jp.co.argo21.nautica.workflow.engine;

import java.io.Serializable;
import java.util.HashMap;

import jp.co.argo21.nautica.workflow.jms.AbstractWorkflowMessage;

/**
 * 要求メッセージの抽象基底クラス。
 *
 * @author  nito(Argo 21, Corp.)
 * @version $Revision: 1.2 $
 * @since   Nautica Workflow 1.0
 */
public abstract class RequestMessage extends AbstractWorkflowMessage
{
	/** シリアルバージョンUID */
	private static final long serialVersionUID = 20050000000000001L;
	
	/**
	 * 要求メッセージを生成する。
	 *
	 * @param t メッセージの種類
	 */
	public RequestMessage(int t)
	{
		super(t);
	}

	public RequestMessage(HashMap<String, Serializable> map)
	{
		super(map);
	}
}
